UTxO references at an address
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/addresses/{address}/utxo_refs \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/addresses/{address}/utxo_refs"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/addresses/{address}/utxo_refs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"tx_hash": "b24743fb4b5381971ee8b3d02a3fd5e783acdb5a21cd2d22d192ec84e7e279fc",
"index": 0
},
{
"tx_hash": "e2e91c7be8239b9f52fadec8df627fe759d21e5b6559c3ec06d8120f1366e075",
"index": 0
}
],
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "8b78a8e4f3f097a6a6fcb20901326b660e4c8b2d4a45f77dea3f2c6e223adf96",
"block_slot": 32266099
},
"next_cursor": null
}Addresses
UTxO references at an address
Get UTXO references for a Cardano address including transaction hash and output index pairs.
GET
/
addresses
/
{address}
/
utxo_refs
UTxO references at an address
Authorizations
Project API Key
Path Parameters
Address in bech32 format
Query Parameters
The max number of results per page
Required range:
x >= 0The order in which the results are sorted (by slot at which UTxO was produced)
Available options:
asc, desc Return only UTxOs created on or after a specific slot
Required range:
x >= 0Return only UTxOs created on or before a specific slot
Required range:
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Response
UTxO references for all the unspent transaction outputs at an address
A paginated response. Pass in the next_cursor in a subsequent request as the cursor query parameter to fetch the next page of results.
Was this page helpful?

